These are chat archives for gantry/gantry4

14th
Apr 2016
Matias Griese
@mahagr
Apr 14 2016 06:26
looks like it still may be an issue
joomla doesn't register it
hmm, actually the file has been moved
should work without jimport on later versions of joomla, lemme check when they did this change
Matias Griese
@mahagr
Apr 14 2016 06:31
ok, the issue exists in joomla 2.5 but has been fixed in 3.0
Matias Griese
@mahagr
Apr 14 2016 06:39
thanks @photodude i added issue for it
Walt Sorensen
@photodude
Apr 14 2016 14:35

Your welcome, and Thanks for confirming why I'm not seeing this issue any more.

I think the following should work for fixing this in gantry4 for J2.5 and not effect J3.x

if (JVERSION < 3){ jimport( 'joomla.application.module.helper' ); }

I would test it to be sure but I don't have a 2.5 testing server anymore, since I've moved on to 3.4 and soon to 3.5 for all of my sites. (could possibly make it a little more of a robust check with && !class_exists('JModuleHelper') )

Matias Griese
@mahagr
Apr 14 2016 14:36
yea, i know how to fix it ;)
Walt Sorensen
@photodude
Apr 14 2016 14:36
:+1: